/*------------------------------------------------
KKEY 04.30.21 
Custom CSS for Power Apps Portal
---------------------------------------------------
*/


/* 7.30.23 Gradient background */

.wrapper-body.custom-bg {
background: url(https://forms.office.com/gcc/cdn/images/aio/wave-pattern-v1.svg) center top / cover no-repeat, linear-gradient(180deg, rgba(0, 75, 139, 0.2) 0%, rgba(0, 75, 139, 0.8) 100%);
}

.crmEntityFormView .cell .picklist label {padding-right: 10px;}

/****** IMPORTANT! Set the min-width of the Container ******/
.container {min-width:360px;}
/***********************************************************/

/* 07.17.22 Set the Findings width (0,1,2,etc.)*/
#cr9fa_diwfindings {width: 100px;}

/* 10.30.21 Set the textarea height */
textarea.form-control {min-height:100px;}

/* HIDE OR SHOW THE NAVBAR!!! */
.navbar ul {border:solid 0px green!important;padding:2px;}   /* affects entire menu */

/***** Audt Fees page CSS *****/
.entity-grid {font-size: 16px;} /* increase font size for table display */
.pagination > .active > a, .pagination > .active > a:hover, .pagination > .active > a:focus, .pagination > .active > span, .pagination > .active > span:hover, .pagination > .active > span:focus  {border-radius:4px!important;}
.pagination > li > a, .pagination > li > span {padding: 8px 12px!important;} /* center pagination row */
.view-toolbar .btn {font-size: 14px;}   /* fix search icon spacing */
.view-toolbar .fa {top: 0px;}
.table-striped > tbody > tr:nth-of-type(2n+1) {background-color: #ebeaea;}
.btn-info {border-radius:3px;}
.grid-actions {border-bottom: none!important;} /* hide grey border */
.table > thead > tr > th {border-bottom: 2px solid #cdcdcd;border-top: 2px solid #cdcdcd !important;}
.table > thead > tr > th .fa {top:0px!important;}


@media only screen and (max-width: 450px) { 
    .btn-info {margin-top: 10px;}
    .grid-actions a.btn.action {margin-left:0px!important;}
}

/* Set the Certification Yes/No width */
#cr9fa_certification {width:100px!important;}

/* Highlight the section title */
.pre-audit-cert .crmEntityFormView .section-title {
    /* background-color: #6699cc!important; */
}
.crmEntityFormView .section-title {
    border-radius: 3px!important;
    background-color: #000066;
    color: white;
    padding: 5px 5px 5px 10px;
    margin-bottom: 20px;

}

/* OPTIONAL! Highlight the horizontal radio buttons on smaller devices. Be sure and ADD CSS class first! */
/* .highlight {border: solid 1px #b3b3b3; padding:5px; margin-top:5px; border-radius: 3px;} */
#cr9fa_invoicetype3_label {padding-bottom:5px;}

/* Emergency message */
.emergency-message {
    display: none!important;font-size: 28px!important;font-weight: 600!important;
}

/* Instructions padding */
.instructions {padding-bottom: 20px;margin-top:-10px;}
.medium-width {width:80%!important;border:solid 1px #cdcdcd!important;}

/* Adjust the page header */
.page-header {border: solid 0px red; margin-top:-5px!important;}

/* Center Material Icons and adjust Font Awesome size */
.center {
    vertical-align: middle;margin-top:-6px;
}

.icon-size {
     padding-left: 5px; 
     font-size: 1.2em;
}

/* Adjust navbar spacing panels */
/* Hide the Navvar */
#navbar .dropdown-menu {border-radius: 3px;}  /* adjust the navbar */
.navbar-nav li a {
    border-radius: 3px;
    margin-right: 2px;
    margin-bottom: 2px;
    margin-top: 2px;       
}


/* Adjust entity form views */
.alert {border-radius: 3px; color: #004085; background-color:#cce5ff; border-color: #b8daff}
.setBackgroundImage {background-position: 75% 75%;border:solid 2px red;}
.columnBlockLayout {padding-top:10px;border:solid 0px red!important;}
.crmEntityFormView, .entitylist {border:none!important;}
.crmEntityFormView .actions {border: none!important; padding:none!important;}
.crmEntityFormView .tab .tab-column:first-child {
        width: 80%!important;
        border:solid 0px red!important;
        margin-bottom:-50px!important;
}



/*-----------------------------------------------------------*/
/* SAVE! Hide the Login, Search and last "|" and menu item   */
/*-----------------------------------------------------------*/
.divider-vertical:nth-child(4) {border: solid 0px red!important;display:none!important;} 
.navbar li:nth-child(5) {border:solid 0px blue!important;display:none!important;} 


/*-----------------------------------------------------*/
/* SAVE! Home Page & Common styles                     */
/*-----------------------------------------------------*/
.bannerImageHeight {border:solid 0px red;height:600px; background: url("/Home-Slide-01.PNG") center center / cover no-repeat; }     /* standard height see below */
.smallTextWidth {border:solid 0px blue;width:52%;}
.addOpacity {background-color:#ffffff;opacity: 70%;padding:10px;border-radius:3px;}
.addShadow {box-shadow: 0 1px 2px rgba(57, 63, 72, 0.3);}
#logo {margin-top: -5px;}
#AttachFile {padding:5px!important;}
.sectionPrimaryColor2 {background-color:#000066;color:white;}
.sectionPrimaryColor2 a {color:white;}
.number {background-color: #000066!important;}


/*-----------------------------------------------------*/
/* SAVE! Form & File Attachment styles                 */
/*-----------------------------------------------------*/
.form-control {border-radius:3px;}
#AttachFile {border:solid 1px #cdcdcd;border-radius: 3px;padding:5px!important;}   /* add border around control */
.btn-primary {margin-left: 30px; border-radius: 3px;}  /* add curve to buttons */
.btn-default {border-radius: 3px;}
.tab-title {margin-top: -5px; padding: 5px;}


/* Add CAPTCHA properties */
.captcha-cell label {margin-left: 5px;}
.captcha-cell {
    margin-left: 30px;
    border: solid 1px #cdcdcd;
    padding:30px 10px 10px 10px;
    border-radius: 3px;
    margin-top:50px;            /* add spacing to the top */
    width: 80%;
}


/*----------------- Style the Form progress bar Step "1 of 4" -------*/
.progress-numeric {
    background: #cccccc!important;
    border:none!important;
    border-radius: 3px!important;
    box-shadow: none!important;
   -webkit-box-shadow: none!important;
   margin: 0px 0px 20px 0px!important;	
   width: 80%!important;
}

/*---------------- Adjust the Logo based on screen size --------------*/
@media only screen and (max-width: 1800px) { 
    .navbar-toggle {margin-top: 25px!important;}
    .bannerImageHeight {border:solid 0px blue;height:550px;}
}
@media only screen and (max-width: 1600px) { 
    .navbar-toggle {margin-top: 25px!important;}
    .bannerImageHeight {border:solid 0px blue;height:500px;}
}
@media only screen and (max-width: 1200px) { 
    .navbar-toggle {margin-top: 25px!important;}
    .bannerImageHeight {border:solid 0px blue;height:480px;}
    #logo {border: solid 0px red; width: 324px!important; height: 58px!important;margin-top:40px!important;margin-left:28px;}
}
@media only screen and (max-width: 768px) { 
    .columnBlockLayout {border: solid 0px red;width:100%!important;}  /* set form control width */
    .container {border: solid 0px blue;width:100%!important;}   /* set form control width */
    #logo {border: solid 0px red; width: 324px!important; height: 58px!important;margin-top:23px!important;margin-left:28px;}
    .btn-primary {margin-left: 0px!important;} 
    .navbar-header {height:68px!important;} 
    .navbar-toggle {margin-top: 17px!important;}
    .captcha-cell  {margin-left:0px!important;}
    .bannerImageHeight {border:solid 0px green;height:450px;}
    .smallTextWidth {border:solid 0px blue;width:75%;}
    .footer {font-weight: bold;}
    h1 {margin-left: 18px;}
    .breadcrumb {margin-left: 15px;}
}
@media only screen and (max-width: 520px) { 
    h1 {margin-left: 10px;}
}
@media only screen and (max-width: 500px) {
    h1 {font-size:24px!important;margin-left:10px;}
    .smallTextWidth {border:solid 0px blue;width:90%;}
    #logo {margin-left:12px;}
    .bannerImageHeight {background: url("/Home-Slide-02.PNG") center center / cover no-repeat!important;}
    .breadcrumb {margin-left: 5px;}
}
@media only screen and (max-width: 414px) { 
    #logo {border: solid 0px green; width: 259px!important; height: 46px!important;margin-top:-2px;margin-left:8px;}
    .navbar-header {height:58px!important;} 
    .navbar-toggle {margin-top: 13px!important;}
    .smallTextWidth {border:solid 0px blue;width:90%;}
    .highlight {border: solid 0px #b3b3b3; padding:5px; margin-top:5px; border-radius: 3px;}
}

/*---------------- Adjust the Navbar header height -------------------*/
.navbar-header {height:88px;margin-top:2px;} 
.navbar-right {border: solid 0px red!important;padding-top: 16px!important;}
.navbar-toggle {background-color: #000066!important;border-radius:3px;}

/*------------- Hide the "There are no notes to display" box on Forms --------*/
.entity-notes {
    display: none!important;
    border:solid 0px red;
}

/* Material Icons code */
.mail-icon {
		color: #ffffff;
		font-family: 'Material Icons';
		font-size: 1.5em;
		content: "email"; /* arrow icon */
		-webkit-font-feature-settings: 'liga';
		font-feature-settings: 'liga' 1;
	}

/* Align the Search title left */
.xrm-attribute-value {text-align: left!important;} /* align Search title */